Package org.apache.sling.feature.maven.mojos.reports

# Interface ReportContext

public interface ReportContext

## Method Summary

Modifier and Type
Method
Description
`void`
`addReport(String key, List<String> output)`
`org.apache.sling.feature.builder.ArtifactProvider`
`getArtifactProvider()`
`List<org.apache.sling.feature.Feature>`
`getFeatures()`
`org.apache.sling.feature.scanner.Scanner`
`getScanner()`
`boolean`
`matches(org.apache.sling.feature.ArtifactId id)`

## Method Details

### getScanner

org.apache.sling.feature.scanner.Scanner getScanner()

### getFeatures

List<org.apache.sling.feature.Feature> getFeatures()

### addReport

void addReport(String key, List<String> output)

### matches

boolean matches(org.apache.sling.feature.ArtifactId id)

### getArtifactProvider

org.apache.sling.feature.builder.ArtifactProvider getArtifactProvider()